//
// C++ Interface:
//
// Description:
//
//
// Author: Faubet Pierre <pierre.faubet@e.ujf-grenoble.fr>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef UIABOUT_H
#define UIABOUT_H

#include <QDialog>
#include "ui_UIAbout.h"

class UIAbout : public QDialog, private Ui::AboutDialog
  {
    Q_OBJECT

  public:
    UIAbout(QWidget* parent = 0, Qt::WFlags fl = 0 );
    ~UIAbout();
    /*$PUBLIC_FUNCTIONS$*/
    void setPixmap(QString pathtoPixmap);
    void setText(QString pathtoText);

  public slots:
    /*$PUBLIC_SLOTS$*/
    void anchorClicked( const QUrl& url );
    
  protected:
    /*$PROTECTED_FUNCTIONS$*/

  protected slots:
    /*$PROTECTED_SLOTS$*/

  };

#endif

